Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.logging.client
Class SimpleRemoteLogHandler

    java.lang.Object
      java.util.logging.Handler
          com.google.gwt.logging.client.RemoteLogHandlerBase
              com.google.gwt.logging.client.SimpleRemoteLogHandler

    public final class SimpleRemoteLogHandler

extends RemoteLogHandlerBase

A very simple handler which sends messages to the server via GWT RPC to be logged. Note that this logger does not do any intelligent batching of RPC's, nor does it disable when the RPC calls fail repeatedly.

Nested Class Summary
`(package private) class` | `SimpleRemoteLogHandler.DefaultCallback`

Field Summary

Fields inherited from class com.google.gwt.logging.client.RemoteLogHandlerBase
`WIRE_LOGGER_NAME, wireLogger`

Constructor Summary
`SimpleRemoteLogHandler()`

Method Summary
`void` | `publish(java.util.logging.LogRecord record)`

Methods inherited from class com.google.gwt.logging.client.RemoteLogHandlerBase
`close, flush, isLoggable`

Methods inherited from class java.util.logging.Handler
`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, reportError, setEncoding, setErrorManager, setFilter, setFormatter, setLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleRemoteLogHandler

    public SimpleRemoteLogHandler()

Method Detail

### publish

    public void publish(java.util.logging.LogRecord record)

  Specified by:
    `publish` in class `java.util.logging.Handler`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD